OutTransformWriter (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.staxutils.transform, class: OutTransformWriter

Package org.apache.cxf.staxutils.transform

# Class OutTransformWriter

java.lang.Object
org.apache.cxf.staxutils.DelegatingXMLStreamWriter
org.apache.cxf.staxutils.transform.OutTransformWriter

All Implemented Interfaces:
  `XMLStreamWriter`

public class OutTransformWriter extends DelegatingXMLStreamWriter

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

  `delegate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutTransformWriter(XMLStreamWriter writer, Map<String,String> outMap)`
  `OutTransformWriter(XMLStreamWriter writer, Map<String,String> outMap, Map<String,String> append, List<String> dropEls, boolean attributesToElements, String defaultNamespace)`
  `OutTransformWriter(XMLStreamWriter writer, Map<String,String> outEMap, Map<String,String> append, List<String> dropEls, Map<String,String> outAMap, boolean attributesToElements, String defaultNamespace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamespaceContext`
  `getNamespaceContext()`
  `void`
  `setDefaultNamespace(String uri)`
  `void`
  `writeAttribute(String local, String value)`
  `void`
  `writeAttribute(String prefix, String uri, String local, String value)`
  `void`
  `writeCharacters(char[] text, int arg1, int arg2)`
  `void`
  `writeCharacters(String text)`
  `void`
  `writeDefaultNamespace(String uri)`
  `void`
  `writeEndElement()`
  `void`
  `writeNamespace(String prefix, String uri)`
  `void`
  `writeStartElement(String local)`
  `void`
  `writeStartElement(String uri, String local)`
  `void`
  `writeStartElement(String prefix, String local, String uri)`

  ### Methods inherited from class org.apache.cxf.staxutils.DelegatingXMLStreamWriter

  `close, flush, getPrefix, getProperty, setNamespaceContext, setPrefix, writeAttribute, writeCData, writeComment, writeDTD, writeEmptyElement, writeEmptyElement, writeEmptyElement, writeEndDocument, writeEntityRef, writeProcessingInstruction, writeProcessingInstruction, writeStartDocument, writeStartDocument, writeStartDocument`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutTransformWriter

    public OutTransformWriter(XMLStreamWriter writer, Map<String,String> outMap)

  - ### OutTransformWriter

    public OutTransformWriter(XMLStreamWriter writer, Map<String,String> outMap, Map<String,String> append, List<String> dropEls, boolean attributesToElements, String defaultNamespace)

  - ### OutTransformWriter

    public OutTransformWriter(XMLStreamWriter writer, Map<String,String> outEMap, Map<String,String> append, List<String> dropEls, Map<String,String> outAMap, boolean attributesToElements, String defaultNamespace)

- ## Method Details

  - ### writeNamespace

    public void writeNamespace(String prefix, String uri) throws XMLStreamException
    Specified by:
      `writeNamespace` in interface `XMLStreamWriter`
    Overrides:
      `writeNamespace` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeDefaultNamespace

    public void writeDefaultNamespace(String uri) throws XMLStreamException
    Specified by:
      `writeDefaultNamespace` in interface `XMLStreamWriter`
    Overrides:
      `writeDefaultNamespace` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### setDefaultNamespace

    public void setDefaultNamespace(String uri) throws XMLStreamException
    Specified by:
      `setDefaultNamespace` in interface `XMLStreamWriter`
    Overrides:
      `setDefaultNamespace` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartElement

    public void writeStartElement(String prefix, String local, String uri) throws XMLStreamException
    Specified by:
      `writeStartElement` in interface `XMLStreamWriter`
    Overrides:
      `writeStartElement` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartElement

    public void writeStartElement(String uri, String local) throws XMLStreamException
    Specified by:
      `writeStartElement` in interface `XMLStreamWriter`
    Overrides:
      `writeStartElement` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartElement

    public void writeStartElement(String local) throws XMLStreamException
    Specified by:
      `writeStartElement` in interface `XMLStreamWriter`
    Overrides:
      `writeStartElement` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEndElement

    public void writeEndElement() throws XMLStreamException
    Specified by:
      `writeEndElement` in interface `XMLStreamWriter`
    Overrides:
      `writeEndElement` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeCharacters

    public void writeCharacters(String text) throws XMLStreamException
    Specified by:
      `writeCharacters` in interface `XMLStreamWriter`
    Overrides:
      `writeCharacters` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeCharacters

    public void writeCharacters(char[] text, int arg1, int arg2) throws XMLStreamException
    Specified by:
      `writeCharacters` in interface `XMLStreamWriter`
    Overrides:
      `writeCharacters` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### getNamespaceContext

    public NamespaceContext getNamespaceContext()
    Specified by:
      `getNamespaceContext` in interface `XMLStreamWriter`
    Overrides:
      `getNamespaceContext` in class `DelegatingXMLStreamWriter`

  - ### writeAttribute

    public void writeAttribute(String prefix, String uri, String local, String value) throws XMLStreamException
    Specified by:
      `writeAttribute` in interface `XMLStreamWriter`
    Overrides:
      `writeAttribute` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeAttribute

    public void writeAttribute(String local, String value) throws XMLStreamException
    Specified by:
      `writeAttribute` in interface `XMLStreamWriter`
    Overrides:
      `writeAttribute` in class `DelegatingXMLStreamWriter`
    Throws:
      `XMLStreamException`